Subject: Re: Quit pine -> "You have new mail." ???

From: David L Miller <[email-masked]>
Date: Fri, 18 Feb 1994 15:57:01 -0800 (PST)

Mike,

Sorry about the delayed response!  Thanks for the suggestion!

--DLM

|\ |  |\/|  David L. Miller    [email-masked]  (206) 685-6240
|/ |_ |  |  Software Engineer, Pine Development Team   (206) 685-4045 (FAX)
University of Washington, Networks & Distributed Computing
4545 15th Ave NE, Seattle WA 98105, USA

On Thu, 20 Jan 1994, Mike Ramey wrote:

> Often, when I quit pine, I immediately get the message:
>      You have new mail.
> before the unix prompt.
> 
> I suspect this is because pine only checks for new mail every xx seconds, 
> and it has not yet seen the new mail; so unix (cshell?) tells me about it
> before presenting the unix prompt.
> 
> Suggestion:  As part of the pine 'quit' processing, check for new mail
> and allow the user to read it before completing the pine 'quit' command.  
> There is always the possibility of missing a new message that arrives 
> just 'after' pine quits, but the window of lost messages will be smaller 
> than it is now.  -mr